LinkStash
Copyright © XRayz Software

LinkStash is an outstanding new bookmarks/favorites manager that works with Internet Explorer, Netscape and Opera. Just 5 minutes with LinkStash and we are betting you will never want to use the Internet Explorer Favorites, Netscape and Opera bookmarks again!

LinkStash opens and closes with your browser. Using LinkStash means you can store and organize all your favorite links in a familiar Explorer-style tree arrangement. With fields for comments (which can also be used to store and site passwords), ratings, date last visited and so on, your links are easily edited, maintained and kept up to date. You can make your bookmarks visible and easy to find by using color highlights. A customizable toolbar allows you to arrange all your favorite commands in a sensible, custom arrangement of your choice.


Try Before You Buy

LinkStash is try before you buy -- Shareware. This means you are granted free use of this program for 30 days for evaluation/trial purposes. Use beyond this period requires payment. If you find this program useful, please consider purchasing. Doing so helps support future development of this program.

When you purchase this program, you are entitled to support and free updates with enhanced features.

Purchasing online
To purchase online, open the LinkStash main window and choose Purchase/Register LinkStash from the Help menu.

For up to date pricing information please click here.


What's New

To see the great new features we've added and the bugs we've fixed, please examine the description of each product revision shown below:

Version 1.6.10 -- December 2004

  • Fixed a bug when opening a LinkStash bookmark with Opera, the first time Opera is started in this way it did not show the page.
  • When importing an Opera hotlist, LinkStash starts with a more appropriate folder (this tracks recent changes made in Opera.)
  • When importing Netscape/Mozila bookmarks, the Mozilla Firefox bookmark file is now added to the list of bookmark files to import.
  • When importing bookmarks, non-ASCII characters (i.e. ó) in bookmark names or descriptions are displayed correctly.
  • When adding a bookmark the "last visit" date is now set to match the date the bookmark is added, and the "number of visits" is 1.
  • The Import Netscape Bookmarks Dialog has been redesigned and is now resizable.
  • Fixed a bug with user registration failing when running under a "Limited" user account.

Version 1.6.8 -- March 2004

  • Added support for Mozilla Firefox browser, which replaces Firebird.
  • Optimizations have reduced the executable file size by 10%.

Version 1.6.7 -- January 2004

  • FindBar improvements:
    • Search history (previous searches are remembered.)
    • Clear all search history.
    • Locate a bookmark when double clicking a search result (instead of opening it.)
    • Search by folder name.
    • Search by folder complete path name.
  • Improved the speed of FindAll.
  • Fixed bookmark drag and drop, it's no longer possible to insert a bookmark above or below a folder in the folder list.
  • Fixed a bug requiring a user to sign in to send a password even though the security setting for a bookmark password is None.

Version 1.6.4 -- 26 November 2003

  • Fixed a bug where sorting by date (date added or date visited) produced incorrect results.
  • Fixed a bug where in some cases multiple instances of LinkStash could be run, resulting in multiple tray icons.

Version 1.6 -- November 2003

  • Added Restore to the File > LinkStash File menu to restore from a backup.
  • Added error reporting when exporting IE Favorites fails (for example filename length is over the file system limit.)
  • Added Save To My Order to the View > Arrange Bookmarks By menu, which saves the current order to My Order.
  • Added Import Here to the folder list right-click menu, which imports bookmarks to the selected folder.
  • Added a right-click menu to the bookmark list column header to change the arrangement.
  • Added support for the Mozilla Firebird web browser.
  • Improved the Help file with the addition of an Index tab.
  • When backing up on exit, the backup is made only if the most recent backup file is older than 1 day.
  • Fixed a bug that allowed the root bookmark folder to be collapsed when using Collapse All From Here.
  • Drag and drop sorting when not sorted by My Order is now more intuitive.
  • Minor GUI improvements.

Version 1.5.0.23 -- August 2003

  • Added an option to the Sign In dialog that automatically signs out when then screen saver is running.

Version 1.5.0.21 -- April 2003

  • Fixed a bug that did not clear the fields in the Add Bookmark dialog when adding multiple bookmarks.
  • Minor GUI improvements.

Version 1.5.0.20 -- March 2003

  • Improved folder drag and drop to provide a visual hint of the target folder.
  • Improved the general options layout.
  • Improved the duplicate checker dialog layout.
  • Improved folder auto collapse and expand: clicking on an already expanded and unselected folder is no longer collapsed.
  • The expanded or collapsed state of a pasted folder is restored instead of always being pasted as a collapsed folder.
  • Buttons no longer flicker when resizing dialog boxes.
  • Fixed a bug that could cause an exception if a folder is deleted with the right-click menu.
  • Fixed a bug that could cause an exception when adding a bookmark from IE.
  • Fixed a bug with the Rename a bookmark with a click on a selected bookmark affecting the status of the Display bookmark InfoTip option and vice-versa.
  • Fixed a bug with various File Open dialog boxes not being shown under Windows98, i.e. Import Opera or clicking a browser in browser options.
  • Fixed other minor bugs.

Version 1.5.0.19 -- March 2003

  • Folders can be organized in to any order by drag and drop. Previously, the folder list was permanently sorted alphabetically.
  • Bookmarks can be organized in any order with the new command View > Arrange Bookmarks By > My Order.
  • Password support for bookmarks has been added.
  • Bookmark passwords are stored securely using encryption.
  • Authentication through a master password ensures privacy and security of encrypted information.
  • Added hotkeys for typing the user name, password and custom text fields of a bookmark.
  • Searching has been improved:
    • Added Edit > Find All to display complete search results in a Search Results folder.
    • Added Auto Find All and Auto Find Next to automatically search as you type.
    • The search text is now space delineated. For example, searching for "xrayz software" matches a bookmark that contains either "xrayz" or "software".
    • Logic settings allow you to search for bookmarks that are partial or complete matches.
    • Specific fields, such as URL or Comment, etc., can be excluded/included from the search.
    • Subfolders can be excluded/included from the search.
    • A search can be started from the beginning for new searches (i.e. when the search text has been changed.)
    • Three clicks in the Find textbox highlights all words in the box.
  • Deleted bookmarks are moved to a Deleted Bookmarks folder (hold Shift down while deleting to delete permanently.)
  • Most dialogs are sizable, including the Add Bookmark Dialog.
  • You are no longer asked if you want to add a duplicate bookmark. Instead the Add Bookmark Dialog is displayed and a URL Already Bookmarked button appears. Clicking it will bring up a Check Duplicates Dialog.
  • Bookmarks can be exported to an HTML file.
  • Highlights for bookmarks and folders are chosen with the right-click menu, instead of having to go through Bookmark Properties.
  • Highlights can be applied in bulk. Highlights are now applied to all selected bookmarks.
  • LinkStash can now maintain multiple backups of the LinkStash file, using file rotation.
  • Added Display Bookmark InfoTip for n seconds option to general options page.
  • Added Backup (with rotation) the bookmark file on exit option to advanced options page.
  • Added Auto Save the bookmark file every n minutes option to advanced options page.
  • Favorites can now be dragged from Internet Explorer and dropped into LinkStash.
  • Bookmark ratings now appear alongside graphical bars for improved visualization.
  • Added an Apply button to the Bookmark Properties dialog. This button applies changes while the dialog is visible.
  • Pressing the Tab key switches activation between the folder list, bookmark list and the find bar if, it's visible.
  • Added new Print and Info Bar tokens:
    • %21 Full path name of bookmark, i.e. "My folder/Software/Shareware".
    • %22 Parent name only of bookmark, i.e. "Shareware".
  • Added File > Save Copy As to save a copy of the bookmark file with a new name.
  • Added Automatically expand and collapse folders to general options page that, when checked, expands one folder at a time.
  • Added Tools > Open All In Folder (and folder right-click menu) to open all bookmarks in the selected folder.
  • Added Sort by Name to the folder list right-click menu to alphabetically arrange subfolders.
  • Dragging and hovering over a folder results in the folder expanding.
  • Added support for Netscape7, Mozilla and NetCaptor.
  • When exporting bookmarks to Internet Explorer Favorites, you can now choose to delete any existing Favorites.
  • Import/Export Internet Explorer dialog now remembers its settings.
  • Added View > Refresh (F5) to refresh the window contents.
  • The Add Bookmark dialog is now sizable. Size and position are now remembered.
  • Improved Opera Hotlist importing to tolerate bad formatting.
  • Imported bookmarks are imported into the root LinkStash folder instead of being imported to an "Imported browser-name" subfolder.
  • Duplicates URLs are checked when importing bookmarks. An existing LinkStash bookmark will have its details updated to match that of the imported bookmark.
  • File > Backup now performs a save and backup of the bookmark file.
  • Rearranged folder right-click menu.
  • The root folder can no longer be collapsed.
  • Folder conforms more to Internet Explorer behaviour:
    • When right-clicking a folder, the folder is not selected.
    • When pasting, the pasted folder is always collapsed.
  • File > Import > Opera skips the redundant step that asks you to select an Opera hotlist. Instead it goes straight to the open file dialog.
  • Fixed a bug that caused actions to be performed on folders instead of the expected bookmark pane.
  • Fixed various drag and drop bugs, such as when dropping a folder on to its parent caused it to disappear.
  • Fixed a bug with bookmark sorting that sometimes swapped positions of identical entries.
  • Fixed other minor bugs.

Version 1.1.0.14 -- February 2002

  • Added support for printing bookmarks. This is available by clicking File > Print.
  • Added a Page Setup tab to Options. This is available either by clicking Tools > Options and selecting the Printing tab, or more directly by clicking File > Page Setup.
  • Added an option to display grid lines in the bookmark list. This is set up in the General tab in Tools > Options.
  • Added a tip of the day at startup.
  • Added bookmarklets to the LinkStash stock bookmarks. Bookmarklets allow you to modify the way you see someone else's web page.
  • Added a Tip of the Day menu item to the Help menu. It displays the next tip of the day.
  • Fixed a bug where double tooltips were displayed in the Standard Toolbar.
  • Fixed a bug that resulted in no duplicates being found when checking for duplicates via Tools > Check Duplicated URLs.
  • Fixed a bug where Netscape was not being detected as the last active browser window when grabbing URLs.
  • The toolbar is no longer displayed using true-color under Windows 95.
  • Uninstalling LinkStash now gives you the option of deleting any bookmark files you have created in the installation folder or in My Documents. /
  • Added a Support menu item to the Help > XRayz On The Web.
  • Improved importing of Netscape bookmarks.
  • When exporting bookmarks in Netscape format, the comment field is now exported.
  • Renamed View > Arrange Icons By to Arrange Bookmarks By.
  • When the text has been changed in the Find text-box, the search now starts from the first bookmark (i.e. from the root folder) when Find Next is clicked.

Version 1.0.0.5 -- January 2002

  • Initial release.


Editing Folders

Folders can be edited so their details can be changed.

You can also set up a highlight for a folder. A highlight changes the appearance of the displayed folder by changing its color, font, etc. in the folder list.

To edit a folder, follow these steps:

  1. Choose Folder Properties from the Edit menu, or right-click the folder and choose Edit Folder Properties.
  2. The Folder Properties dialog is displayed where you can make the changes to the folder.
  3. To change the folder name, type in a new name.
  4. To pick a highlight click on Change Highlight and choose the highlight.
  5. Click OK to accept the changes, or Cancel to discard them.


Organizing Folders

Folders can be organized into other folders and the sort order can be customized.

To place a folder into another folder, left-click and hold the folder you want to move. Then drag it over another folder and release the left mouse button. This moves the folder you've selected, as well as its contents, including other subfolders and bookmarks, into your chosen destination folder.

To customize the order of folders, left-click and hold on the folder you want to move and drag it to a position between two folders. An insertion line appears where the folder will be placed, release the left mouse button at the desired position.

In the cases above, if you a use the right mouse button, instead of the left, a popup menu will ask you if you want to Copy or Move the folder. Note that you cannot move a parent folder into one of its own subfolders.

To sort the folder alphabetically by name on an ad hoc basis, right-click the folder containing the folders to be sorted. Then click Sort by Name.

The folder list right-click menu provides some other useful commands, see the Folder List for more.


Folders and the Clipboard

Copy or Cut a folder to the clipboard

This involves copying the selected folder and any bookmarks it contains (and its subfolders) to the Windows clipboard, which can then be pasted back into LinkStash.

Cutting a folder is similar to copying except the selected folder is deleted from the folder list after it is placed on the clipboard.

  1. Select the folder to Copy or Cut by left-clicking the folder. You cannot select multiple folders. In this respect LinkStash folder selection operates much like Windows Explorer and only one folder can be selected at a time.
  2. Copy or Cut the folder to the clipboard:
    • To Cut the bookmarks
      Choose Cut from the Edit or right-click menu, or press Ctrl+X.

      - or -
    • To Copy the bookmarks
      Choose Copy from the Edit or right-click menu, or press Ctrl+C.
  3. The folder is now on the clipboard ready for pasting.

Paste a folder from the clipboard

  1. Select the target folder.
  2. To paste the folder, choose Paste from the Edit or right-click menu, or press Ctrl+V.


Adding Bookmarks

Bookmarks are added either by grabbing the URL from the active browser window, or from all open browser windows depending on how you have set up LinkStash to grab URLs. See Options: Browser for more information on how to change this option.

Described below are several different ways to start grabbing URLs:

Grab URLs Using a HotKey
To grab URLs using a hotkey, you first need to set up a hotkey. See Options: Hotkey to see how this is done. To use the hotkey, press and hold the keys that you have set up. The advantage of using a hotkey is that you can press the hotkey while working directly in the browser window, or any window. There's no need to open the LinkStash main window.

Grab URLs Using the Internet Explorer Toolbar
If you have chosen to integrate LinkStash with the Internet Explorer toolbar, two LinkStash toolbar buttons are added to Internet Explorer toolbar. If you position your mouse pointer over the buttons, a tooltip displays the name of each button. The Grab URLs button grabs the URLs when you click it. If the toolbar buttons are not visible, you may need to Customize The Internet Explorer Toolbar.

Grab URLs Using the Internet Explorer Menu
If you have chosen to integrate LinkStash with the Internet Explorer toolbar, two LinkStash menu items are added to the Internet Explorer Tools menu. Click on LinkStash Grab URLs to grab the URLs.

Grab URLs Using the LinkStash Tools Menu
The Grab URLs command is available in the LinkStash Tools menu, or on the LinkStash Standard Toolbar, or by pressing Ctrl+D while working in the LinkStash main window.

Grab URLs Using the System Tray Icon
The Grab URLs command is available by right-clicking on he LinkStash icon in the notification area (system tray).

Add a Bookmark Using Drag and Drop
You can drag and drop web page URLs into the bookmark list or onto a folder. Dragging is done by left-clicking and dragging the symbol to the left of the address bar in the browser. Internet Explorer typically displays a stylized "e", which can be dragged and dropped.

Add a New (Blank) Bookmark
To add a new, blank bookmark, click New Bookmark in the Tools menu. A Bookmark Properties dialog is displayed where you can enter the bookmark details.


Opening Bookmarks

Opening a bookmark launches your preferred web browser with the selected bookmark URL. You can customize how your bookmarks are opened and how LinkStash behaves when you open a bookmark.

To open a bookmark using the preferred browser, use any one of the following methods:

  • Double-click the bookmark.
  • Select the bookmark. Then choose Open from the Tools menu.
  • Right-click the bookmark and choose Open.
  • Select the bookmark. Then choose Open in a New Window from the Tools menu.
  • Right-click the bookmark and choose Open in New Window.

Preferred Web Browser
The preferred web browser is the browser you've chosen for LinkStash to open your bookmarks. If you want to change the web browser used to open bookmarks, change the LinkStash preferred web browser. This is one of several available options. See Options: Browser for more information.

Opening Bookmarks With Other Browsers
Sometimes you may want to open a bookmark with a web browser other than your preferred browser. To do this, choose Open With from either the Tools menu or the right-click menu and choose the browser you want to use.

Setting LinkStash Not to Reuse Browser Windows
If you prefer to always have bookmarks opened in a new browser window, you can change how LinkStash opens bookmarks. This is one of several available options. See Options: Browser for more information.

Minimizing LinkStash When Opening A Bookmark
LinkStash can be minimized when you open a bookmark. This is one of several available options. See Options: General for more information.


Editing Bookmarks

Bookmarks can be edited so that their details can be updated or changed. For example, you may wish to add a comment to the bookmark or change the URL.

You can also set a highlight so the bookmark is displayed in a distinctive color when it appears in the bookmark list.

To edit a bookmark:

  1. Select a bookmark by left-clicking on it in the bookmark list.
  2. Choose Bookmark Properties from the Edit menu, Edit Bookmark Properties in the right-click menu, or press Alt+Enter (this is also available on the toolbar.)
  3. A Bookmark Properties dialog is displayed where you can make changes to the bookmark.
  4. To pick a highlight, click on Change Highlight and choose the highlight.
  5. Click OK to accept the changes, or Cancel to discard them.


Selecting Bookmarks in the Bookmark List

To select a bookmark in the Bookmark List, do any one of the following:

  • To select a single bookmark
    Left-click the bookmark.
  • To select a range of consecutive bookmarks
    Left-click the first bookmark, then press and hold the Shift key and left-click the last bookmark in the range.
  • To select multiple, non-consecutive bookmarks
    Left-click the first bookmark, then press and hold the Control key and left-click other bookmarks.
  • To select multiple ranges
    You can use the range and multiple combinations described above to select multiple ranges.
  • To select all bookmarks
    Choose Select All from the Edit menu or press Ctrl+A.


Bookmarks and the Clipboard

Copy or cut bookmarks to the clipboard

This involves copying the selected bookmarks to the Windows clipboard, which can then be pasted back in to LinkStash. In addition to copying bookmarks, the URLs are also be copied to the clipboard as plain text so they can be pasted into a text editor or email message.

Cutting bookmarks is similar to copying except the selected bookmarks are deleted from the bookmark list after they are placed on the clipboard.

  1. Select the bookmarks to Copy or Cut. See Selecting Bookmarks in the Bookmark List.
  2. Copy or cut the selected bookmarks to the clipboard:
    • To copy the bookmarks:
      Choose Copy from the Edit or right-click menu, or press Ctrl+C.

      - or -
    • To cut the bookmarks:
      Choose Cut from the Edit or right-click menu, or press Ctrl+X.
  3. The bookmarks are now on the clipboard ready for pasting.

Paste bookmarks from the clipboard

  1. Select the folder to receive the bookmarks.
  2. To paste the bookmarks:
    Choose Paste from the Edit or right-click menu, or press Ctrl+V.


Organizing Bookmarks

Organizing Bookmarks into Folders

Bookmarks can be organized into folders. This allows you to group related bookmarks together. To organize bookmarks into folders:

  1. Select the bookmarks you want to move or copy by Selecting Bookmarks in the Bookmark List.
  2. Right-click on one of the selected bookmarks and drag them all to the target folder.
  3. Release the right button over the target folder and a popup menu appears where you can choose to Copy or Move the bookmarks.

Alternatively, you can use the clipboard to organize bookmarks:

  1. Select the bookmarks you want to move or copy by Selecting Bookmarks in the Bookmark List.
  2. Copy the bookmarks to the clipboard. See Bookmarks and the Clipboard.
  3. Select the target folder.
  4. Paste the bookmarks. Choose Paste from the Edit or right-click menu, or press Ctrl+V.

Sorting the Order of Bookmarks

The ordering of the bookmark list can be configured so the bookmark list is sorted by Name, Rating, URL or any other field. To do this, click on the column header while the bookmark list is in details view, or choose the field name in the Arrange Bookmarks By menu item from the View menu (or the column header right-click menu). To reverse the order, reselect the currently sorted field.

If you need maximum control over the order, you can set your own sort order. Do this by choosing My Order in the Arrange Bookmarks By menu item from the View menu. Then drag and drop each bookmark to its new position.

Click Save To My Order from the Arrange Bookmarks By to copy the current order of the bookmarks to My Order.

For more information about organizing bookmarks see the Main Window: Bookmark List.


Searching Bookmarks

Searching for bookmarks is a common task for anyone that has more than a handful of bookmarks. There are occasions when you want to find a specific bookmark, but can't remember which folder you moved it into, or maybe you want to search through all your bookmarks and locate only those that contain specific text - perhaps you store keywords in your comments field.

Using the Find Bar

The Find Bar is used to search for a bookmark quickly and easily in a variety of different ways.

To use the Find Bar:

  1. To display the Find Bar, press Ctrl+F, or click Find in the Edit menu, or click the Find button on the toolbar. If the Find Bar is already visible, performing any of the above actions activates the Find textbox where you can begin typing.
  2. Type the text to search for into the text box. Comparisons are not case sensitive. Therefore, "XRayz" is the same as "xrayz". Several words can be entered, separated by spaces. For example, if you enter:

    "xrayz linkstash" (without the quotes)

    ...the search will be based on two words:

    "xrayz" and/or "linkstash"

    The Find Settings toolbar button provides control on how the search is performed.
  3. If Auto Find Next or Auto Find All is selected in the Find Settings, searching begins automatically after you have entered enough characters for the search to be effective. Pressing Enter after typing in the edit box always performs a Find All.
  4. If No Auto Find is selected, you must start the search manually. You can do this in one of two ways:

    Find All
    Click Find All or press F4 to find all bookmark occurrences and place them in a Search Results folder.

    - or -

    Find Next
    Click Find Next or press F3 to find and select the next bookmark occurrence. You can do this repeatedly.

  5. The Search Results folder behaves like to a normal folder. For example, you can:
    • Open each bookmark.
    • Edit, delete, copy and move bookmarks.
    • Open all the found bookmarks, to do this, right-click the Search Results folder and choose Open All in Folder.
    • Locate and select the original bookmark. To do this, right-click the bookmark and choose Locate.
    • Export the search results as HTML or Internet Explorer Favorites. To do this, right-click the Search Results folder and choose Export.
    • And much more, simply right-click on the Search Results folder.

Search Settings

There are a number of settings that affect how the search is performed. The settings are changed by clicking the small arrow next to the Find Settings toolbar button located on the Find Bar.

The settings are described below:

  • Restore Default Find Settings
    Resets the find settings to their default choices. If you click on the settings toolbar button, instead of the arrow, the default settings are restored.
  • Search Name, URL, Comment
    A match is found by examining only the fields that are checked (Name, URL and Comment.)
  • Search Subfolders
    If checked, subfolders are searched, otherwise only the current folder is searched.
  • Search Folder Name
    If checked, the parent folder name of each bookmark is compared with the search text. All bookmarks in the matching folder are added to the results.
  • Search Folder Path Name
    If checked, the complete path name (all parent folders) of each bookmark is compared with the search text. All bookmarks in the matching folder are added to the results.
  • Match Any Word
    If selected, a bookmark containing any of the words in the Find textbox is considered a match.
  • Match All Words
    If selected, a bookmark must contain all the words in the Find textbox for it to match.
  • No Auto Find
    If selected, you must manually start the search by clicking Find Next (F3) or Find All (Enter or F4)
  • Auto Find Next
    If selected, as you type text into the Find textbox, the search automatically starts finding the Next bookmark. You must type several letters or numbers for the search to start.
  • Auto Find All
    If selected, as you type text into the Find textbox, the search automatically starts finding All the bookmarks, placing found bookmarks in the Search Results folder. You must type several letters or numbers for the search to start.
  • More Settings
    • Clear Search History
      Clears the search history.
    • Save Search History
      If checked, all text in the Find box is remembered the next time the Find Bar is displayed.
    • New Search if Text Change
      If checked, when the text in the Find box is changed, LinkStash starts a new search instead of continuing the search from the current bookmark. This only affects the search when Find Next is used.
    • Locate Bookmark on Double-click
      If checked, a double-click on a search result locates the bookmark (as if had you chosen Locate Bookmark in the right-click menu) instead of opening the bookmark.


Duplicate URLs

When adding bookmarks, you usually don't want to keep duplicate website addresses in the bookmark file. It's difficult and, in most cases, impractical, to keep track of which URLs you have already bookmarked.

Don't worry. When adding a bookmark with LinkStash you don't need to be concerned. LinkStash warns you that a bookmark with the URL you are trying to add already exists. It does this by displaying a URL Already Bookmarked button in the Add Bookmark dialog. Clicking this button lists the folders where a duplicate has been found, and allows you to delete each duplicate, if you choose.

You can check for duplicate URLs at any time by choosing Check Duplicated URLs from the Tools menu. This is useful if you wish to import bookmarks, check and delete duplicates, then export the cleaned file.


Bookmark Passwords

There are many websites that require you to login to access the site. These include web forums, news websites, financial websites, etc. This can become a nightmare to maintain. With LinkStash, you can manage not only bookmarks, but passwords too.

It should be pointed out that LinkStash does not fill in forms for you, neither will it enter your user name or password details automatically. It is your responsibility to do that. The strength of LinkStash lies in the security and the authentication processes used to gain access to sensitive data.

You can view and maintain all your passwords either as individual bookmarks, or in one central place, through the Password List Dialog. The password feature is so useful, you may find that you are using it to keep track of non-website related passwords.

LinkStash not only stores passwords securely using encryption, it can also retrieve the password information from the bookmark and type it for you.

Viewing and setting up a bookmark password

To view or set up a bookmark password:

  1. Right-click on the bookmark and choose Edit Bookmark Properties.
  2. When the Edit Bookmark Properties dialog appears, click on the Password tab.
  3. If you are not currently signed in, click the Sign In button.
  4. Enter data into any of the fields: User name, Password or Custom Text, or click the Help button in the dialog for more information about the various fields.
  5. Set the Security level you require. This determines when, or if, you need to sign in to use the password. For now, set it to Low.
  6. You can now do either of the following:

    To accept the changes and remain signed in, Click OK.

    -or-

    If you want to Sign Out, click Apply, click Sign Out and finally click OK.

Retrieving and using a password

To use a password from a bookmark:

  1. Visit a website by double clicking on a bookmark (one that has a password set up.)
  2. When the web site appears, click in the text box where you would normally type the user name.
  3. Press the hotkey to enter the user name. The hotkey can be customized to anything you like (within reason), but the default hotkey is Ctrl+Alt+1. To change the default, see Options: Hotkey.
  4. If you are not signed in, you will be asked to Sign In.
  5. The user name is entered as if you had typed it at the keyboard.
There's more than one method that LinkStash uses to determine the password for the website. To change the way passwords are handled, see Options: General. For example, you can set it up so that when you press the hotkey to send the password, LinkStash examines the current URL in Internet Explorer. If LinkStash finds a matching bookmark, that bookmark's password details are used. This means, for passwords to work, you do not have to open the website by double clicking a bookmark in LinkStash, you can type the URL in to the Internet Explorer address bar, or click on a Favorite, and just press the hotkey.

Related topics:
Master Password
Security Issues


Non-text Key Names

Non-text key names are used in the Custom Text field of the Bookmark Properties Password tab.

Non-text key names represent keystrokes that are not displayable as characters. Examples of non-text keys are the Control key and the Arrow keys.

Non-text key names provide the ability to specify non-text keys as plain text. For example, use {CTRL} to specify the Control key and {TAB} for the Tab key. Another example is to manipulate drop down lists using the {UP} or {PGDN} names, then {TAB} to the next field and enter more text followed by {ENTER}.

Key Name | Text
Alt | {ALT}
Shift | {SHIFT}
Ctrl or Control | {CTRL}
Arrow Up | {UP}
Arrow Down | {DOWN}
Arrow Left | {LEFT}
Arrow Right | {RIGHTT}
PgUp or Page Up | {PGUP}
PgDn or Page Down | {PGDN}
Home | {HOME}
End | {END}
Enter | {ENTER}
Escape or Esc | {ESC}
Tab | {TAB}
Backspace | {BACKSPACE}
Insert or Ins | {INSERT}
Delete or Del | {DELETE}
Help | {HELP}
PrintScreen or PrtSc | {PRTSC}
ScrollLock | {SCROLLLOCK}
Pause | {PAUSE}
Break | {BREAK}
CapsLock | {CAPSLOCK}
NumLock | {NUMLOCK}
F1...F12 | {F1}...{F12}


Import Overview

To import existing Internet Explorer Favorites or Netscape bookmarks (or other) to a LinkStash bookmark file, there are several ways to accomplish this: importing or using the Windows Clipboard.

Importing

Use the File > Import menu to import bookmarks. To import to a specific folder, right-click the folder and choose Import Here.

During import, if a bookmark already exists in your LinkStash collection (for example, it has the same bookmark name and it's in the same folder), then the newest bookmark is retained in the LinkStash file. This will effectively eliminate duplicate bookmarks, resulting in a merged import.

To import bookmarks without merging, create a new folder, call it "Imported Bookmarks" (or something similar), right-click it and choose Import Here. This will not merge because the destination folder is empty.

Using the Windows Clipboard

Importing bookmarks from one LinkStash file to another can be accomplished using the Windows Clipboard.

  1. Open the source LinkStash file.
  2. Select the folder (or bookmark) to import. All subfolders are included, so select the top level folder to import everything.
  3. Click Copy from the Edit menu or press Ctrl+C to copy to the Windows Clipboard.
  4. Open the destination LinkStash file to receive the bookmarks.
  5. Select a target folder.
  6. Click Paste from the Edit menu or press Ctrl+V to paste.

Note, you cannot select multiple folders. In this respect LinkStash folder selection operates much like Windows Explorer and only one folder can be selected at a time.


Import Internet Explorer Favorites

See the Importing Overview for more information.

To display the Import Favorites dialog box, click Import > Internet Explorer Favorites from the File menu, or use the folder right-click menu to import to a specific folder.

Folder
Name of the source Internet Explorer Favorites folder to import bookmarks from. When the Import dialog appears, it should already contain the correct location of your Internet Explorer Favorites.

Browse
If you don't want to import all the Internet Explorer Favorites, you may change to the favorites folder of your choice by clicking the Browse button.

Include subfolders
If checked, subfolders of the selected favorites folder are also imported.


Import Netscape Bookmarks

See the Importing Overview for more information.

This command imports a Netscape bookmarks file into LinkStash. If LinkStash finds a Netscape bookmarks file, it is listed with a check mark beside it. If the list is empty, you can manually add the file by clicking Add File to locate it. You can also add further files in this way if you wish.

A check mark beside each bookmark file indicates that the bookmark file will be imported into LinkStash. To prevent a bookmark file from being imported, click the check mark once to clear the check box.

Once you have clicked OK, each Netscape bookmark file is imported into a LinkStash subfolder named Imported Netscape Bookmarks. You can then organize the bookmarks as you desire.


Import Opera Hotlists

See the Importing Overview for more information.

This command imports an Opera Hotlist into LinkStash.

You will need to select the Opera Hotlist file that you want to import. LinkStash will try to locate and select this file for you. However, it is up to you to make sure that you import the correct file. If you select the wrong file, the result will be that either nothing is imported, or the wrong bookmarks are imported.

Once you have clicked on Open, the Hotlist is imported into a LinkStash subfolder named Imported Opera Hotlist. You can then organize the bookmarks as you desire.


Import Stock Bookmarks

This command imports a set of useful bookmarks that are shipped with LinkStash.

The bookmarks are imported into a LinkStash subfolder named LinkStash Bookmarks. You can organize the bookmarks as you desire.


Export Internet Explorer Favorites

To display the Export Favorites dialog box, click Export > Internet Explorer Favorites from the File menu, or use the folder right-click menu to export a specific folder.

Folder
The name of destination Internet Explorer Favorites folder to export to. When the Export dialog appears, it should already contain the correct location of your Internet Explorer Favorites.

Browse
You may change the specific Favorites folder you want to export to by clicking the Browse button.

Include subfolders
If checked, all LinkStash subfolders are exported.

Delete all existing Favorites in the target folder
If checked, existing Internet Explorer Favorites in the specified folder are erased. Uncheck this box if you want to merge bookmarks rather than replace them.


Export Netscape Bookmarks

This command exports LinkStash bookmarks to a Netscape Navigator Bookmark file. This is useful for several reasons:

  • You can open and edit your bookmarks in the Netscape Navigator bookmark manager.
  • You can later import the file back in to LinkStash. For more information on this see Import Netscape Bookmarks

To export a subset of bookmarks, right-click on a folder in the Folder List and choose Export from Here.


Export HTML

This command exports all your LinkStash bookmarks to a HTML. This command is useful for several reasons:

  • You can upload the exported file to a web site and then use any web browser to access the bookmarks. This allows you to access your bookmarks from work or a friends house, or anywhere else with Internet access.
  • You can email the exported file to a friend and they will be able to view the file using their web browser.
  • You can share your bookmarks with people that may not be using LinkStash.

To export a subset of bookmarks, right-click on a folder in the Folder List and choose Export from Here.


Data Safety

To avoid accidental loss of your LinkStash bookmark file, LinkStash can make a backup of the LinkStash bookmark file.

A backup can be performed automatically or manually:

  • To perform a manual backup, click Backup Now from the File > LinkStash File menu.
  • To have a backup performed automatically (recommended), set the option in Advanced options by clicking Options from the Tools menu.

Each time a backup is performed, a backup file is saved. LinkStash maintains several backup files, each file represents a file from a previous save. By using multiple backup files it is possible to go back to a backup that was made on a different day. This ensures a greater chance of recovering your bookmarks.

Below is an example of how LinkStash performs a backup of "LinkStashBookmarks". The most recent backup is at the top (BAK1) and the oldest (BAK3) is at the bottom, there is no BAK4.

  • LinkStashBookmarks.lns becomes LinkStashBookmarks.lns.BAK1
  • LinkStashBookmarks.lns.BAK1 becomes LinkStashBookmarks.lns.BAK2
  • LinkStashBookmarks.lns.BAK2 becomes LinkStashBookmarks.lns.BAK3

You can Restore from a backup.


Restore

Restoring a backup is the process of restoring a LinkStash bookmark file from a previous backup. See Data Safety for more information about backups.

A backup can be performed through the LinkStash menu or manually.

To Restore From a Backup

Click Restore in the File > LinkStash File menu. This will display the Restore Dialog.

Manual Method

  1. Locate the backup set using Windows Explorer and make a copy of the most recent backup file, typically this will be the file with the name ending in .LNS.BAK1 (for example LinkStashBookmarks.lns.BAK1.)
  2. Rename the copy that you have just made, for example you could rename it to LinkStashBookmarks.lns. Ensure the file ends in .LNS and not .BAKx.
  3. Start LinkStash and click Open from the File > LinkStash Bookmark File menu and open the bookmark file.


Sign In

To access private and confidential information stored in a LinkStash file, such as bookmark passwords, you must sign in, or already be signed in. To sign in, you need to know the Master Password.

If you are not signed in, you are unable to access bookmark passwords or any confidential information and the sensitive information remains safely encrypted. For more information, see Security Issues.

Sign In

You can sign in using the Sign In Dialog. There are a number of ways to display the Sign In dialog, all of which are covered below:

  • Automatically - when attempting to access private information
    If you attempt to access private information, LinkStash prompts you to sign in which can occur when sending a password to another program or website. This is a very convenient way of signing in because you do not have to manually open the LinkStash main window to sign in.
  • Bookmark Properties Password tab
    Click the Sign In button in the Password tab of Bookmark Properties. When successfully signed in, the button changes to read Sign Out.
  • Sign In/Out button on the toolbar
    Click the Sign In/Out button on the toolbar. If this button is not visible, see Customizing The Standard Toolbar. The button appears depressed while you are signed in.
  • File > Sign In
    Choose Sign In from the File menu. When successfully signed in, the menu item changes to read Sign Out.

Once successfully signed in, you are able to access the private information contained in LinkStash until you Sign Out.


Sign Out

When you no longer require access to private and confidential information, it is important that you sign out so the information is kept secure. There are a number of ways to sign out, all of which are covered below:

  • Automatically - sign out after a period of time has elapsed
    When signing in, the Sign In Dialog has a setting to automatically sign you out after a period of time. You can set a duration that LinkStash will remain signed in. When the set time has elapsed, you are automatically signed out, ensuring that your data is kept safe and private.
  • Bookmark Properties password tab
    Click the Sign Out button on the Password tab of Bookmark Properties. When successfully signed out, the button changes to read Sign In.
  • Sign In/Out button on the toolbar
    Click the Sign In/Out button on the toolbar. If this button is not visible, see Customizing The Standard Toolbar. The button appears depressed while you are signed in.
  • File > Sign Out
    Choose Sign Out from the File menu. When successfully signed out, the menu item changes to read Sign In.


Master Password

The master password is a special password. It is used to authenticate a user through a process called signing in. Once a user is signed in (authenticated), that user has access to all bookmark passwords and protected information in the LinkStash file. Without signing in, the protected information cannot be used, viewed or changed because it is securely stored using strong and well established encryption methods.

This is repeated once more:

The master password allows access to ALL the bookmark passwords and private information stored in the LinkStash file. The ONLY way to access the data is by knowing the master password, DO NOT forget it!

Choosing a master password

The following points should be considered when choosing a master password:

  • Choose a long password rather than a short one, use multiple words to create a pass phrase.
  • Do use upper and lower case letters, numbers and symbols such as #$+%.
  • The master password is case sensitive.
  • If you forget the master password, there is no way to retrieve it. For security reasons, LinkStash does not store the master password.
  • The minimum master password length is 6 characters.
  • The maximum master password length is 56 characters.
  • Do not use guessable words, names or words from dictionaries, these are bad examples: password, secret, letmein, johndoe.

Changing a master password

To change the master password, choose Change Master Password from the File menu.


Security Issues

Using Passwords with Security Levels

If you choose a password security level of None or Low, your password is not visible in the Bookmark Properties, meaning that anyone who might glance in there when you are signed in would not be able to read it. And they cannot access the Password List Dialog unless they know the master password, as that is required every time you wish to open the Password List. However, be advised that it is also possible, once a bookmark is selected and the user is Signed In, to paste the password into a non encrypted medium like an email or Notepad, for example. Therefore, for maximum security you are advised to take at least one of the following precautions:

  1. Protect all your critical passwords with the High security setting in the LinkStash Bookmark Properties Dialog.
  2. Set your option, when you sign in, to Automatically Sign Out after a certain number of minutes.
  3. Remember to manually Sign Out each time you leave your computer.
  4. Set the program to close with the browser and/or otherwise remember to manually exit the program each time you leave your computer.

LinkStash does not use the Windows clipboard to send password information to programs. Doing so would be a major security concern for two reasons:

  1. Clipboard monitoring programs such as ClipCache can grab and store the data.
  2. Web sites using VBScript can read the content of the clipboard.

Authentication

The LinkStash master password is used as a means of authorization to secure information. The master password is never stored. LinkStash generates a mathematical representation of the master password. This mathematical representation is called a hash. LinkStash implements the Secure Hash Algorithm (SHA-1). It is computationally infeasible for the master password to be generated from the hash, which means only users that know the master password can access secure data.

Encryption

All data that requires authorization for access, such as bookmark passwords, is encrypted with the Blowfish cipher which encrypts the data with a key length of up to 448 bits. Blowfish is a strong and well-established cipher.


Main Window

The main window is divided up into two lists:

  • Folder List
  • Bookmark List
There are also a number of Toolbars that can be customized.


Main Window : Folder List

The folder list contains a list of folders. Each folder contains bookmarks and other subfolders. You create folders to help you to keep bookmarks organized and categorized. To see the list of bookmarks that are in a folder, select the folder by left-clicking it. Folders can be arranged into any order by drag and drop, to read more about this see Organizing Folders.

Right-Click Menu
The folder list supports a right-click menu that offers the following:

  • New Folder
    Creates a new subfolder.
  • Expand All from Here
    Expands the selected folder and all its subfolders.
  • Collapse All from here
    Collapses the selected folder and all its subfolders.
  • Export from Here
    Exports from this folder and all its subfolders as Internet Explorer Favorites, Netscape bookmarks or HTML. This means you can export a subset of bookmarks instead of the whole set.
  • Highlight
    Selects a Highlight for the folder.
  • Open All Bookmarks in Folder
    Opens all the bookmarks in this folder.
  • Cut
    Cuts the selected folder to the clipboard.
  • Copy
    Copies the selected folder to the clipboard.
  • Paste
    Pastes the contents of the clipboard to the folder.
  • Delete
    Deletes the selected folder including any subfolders or bookmarks.
  • Rename
    Renames the selected folder.
  • Sort by Name
    Arranges all the subfolders in alphabetical order.
  • Edit Folder Properties
    Edits the folders name etc.


Main Window : Bookmark List

The bookmark list contains a list of all bookmarks in the currently selected folder. For more information, see Organizing Bookmarks.

The bookmark list can be displayed in a number of styles. To change the view style, choose View Bookmarks By from the View menu and select one of the following:

  • Large Icons
  • Small Icons
  • List
  • Details (recommended)
    When the bookmark list is displayed in details view, the list is divided into columns. Each column represents information about the bookmark, such as Name, URL, or Comment, etc.

Column Sorting
In details view, the list of bookmarks can be sorted by column. For example, you can sort by the number of visits so frequently visited sites are at the top of the list. The column that is currently sorted, is indicated by an arrow beside the column name. The direction of the arrow indicates the sort order, ascending or descending. To sort on a column, click the column name (or right-click the column header). Clicking a column that is currently sorted reverses the order.

Column Ordering (from left to right)
In details view, each column can be arranged from left to right in the order you prefer. For example, instead of seeing the name as the first column, you might want URL as the first column. To make this change, left-click on the column header you want to move and hold the button down, then drag it to the desired position.

Bookmark InfoTip
More information about a bookmark is displayed when the mouse pointer is paused over the name of a bookmark. This is useful if only some of the columns in the bookmark list are visible, or if you are not using details view. You can also specify the length of time the tip is displayed. The bookmark InfoTip can be toggled on or off. See Options: General.

Right-Click Menu
The bookmark list supports a right-click menu that offers the following:

  • Open
    Opens the selected bookmark in the preferred browser, reusing the last active window.
  • Open in New Window
    Opens the selected bookmark in the preferred browser, in a new window.
  • Open With
    Opens the selected bookmark in any other browser you have set up with LinkStash.
  • Highlight
    Sets a Highlight for all the selected bookmarks.
  • Grab and Add Bookmarks
    Grabs URLs from open browser windows, and adds them as bookmarks.
  • New Bookmark
    Adds a new, blank bookmark.
  • Cut
    Cuts the selected bookmarks to the clipboard.
  • Copy
    Copies the selected bookmarks to the clipboard.
  • Paste
    Pastes bookmarks that have been previously copied to the clipboard.
  • Delete
    Deletes the selected bookmarks.
  • Rename
    Renames the selected bookmark.
  • Edit Bookmark Properties
    Edits the bookmark name, URL, password details etc.


Toolbars

There are a number of toolbars. Some can be customized, and all can be toggled on or off using the View menu.

  • Standard Toolbar
  • Info Bar
  • Find Bar
  • Status Bar

Standard Toolbar

Most of the frequently used commands are found in the Standard Toolbar. It can be customized allowing you to add, remove, or rearrange the layout of the buttons. The toolbar is toggled on or off by choosing Toolbars > Standard Buttons from the View menu, or in the right-click toolbar menu. See Customizing the Standard Toolbar for more information.

Info Bar

The Info Bar appears near the top of the main window, just below the Standard Toolbar. By default, it displays the URL of the currently selected bookmark. The Info Bar is toggled on or off by choosing Info Bar from the View menu. The contents of the Info Bar are customizable. For more information see Customizing the Info Bar.

Find Bar

The Find Bar is used to search through all your bookmarks to find a bookmark that matches a criteria you specify. There are a number of settings to help you with the search and these are explained in Searching Bookmarks. The Find Bar is toggled on or off by choosing Toolbars > Find Bar from the View menu, or in the right-click toolbar menu.

Status Bar

The Status bar appears at the bottom of the main window and provides the following benefits:

  • Displays the number of bookmarks in the selected folder.
  • Displays a line of help text when the mouse pointer is positioned over a toolbar button or a menu item.
The Status Bar is toggled on or off by choosing Status Bar from the View menu.


Tray Icon

Where Is The System Tray?
The System Tray, also known as the notification area, is the area adjacent to where the clock is displayed on the task bar. Some programs put their icons there when they are running.

What Are Tray Icons?
Tray icons are icons that are displayed in the System Tray. LinkStash provides you with a system tray icon that can be toggled on or off. See Options: General for more information. When LinkStash places its icon in the system tray, you can identify it by positioning your mouse pointer over the icon and waiting for a second or two. Text appears identifying the program the icons belongs to.

Why Would I Want To Use The Tray Icon?
If you find yourself frequently working with LinkStash, and have it loaded throughout the day, you may not want the space taken up on the taskbar. For this reason, you may want to have LinkStash minimized to the tray icon.

Having the icon in the System Tray can be used for more than just saving space on your task bar. The LinkStash tray icon allows you to right-click on it, causing a popup menu to display so you can add a bookmark, set program options, or exit the program. Left-clicking on the icon opens the main LinkStash window.


File Menu

LinkStash File

    New File
    Creates a new LinkStash bookmark file.

    Open File
    Opens an existing LinkStash bookmark file.

    Save
    Saves the currently open LinkStash bookmark file.

    Save As
    Prompts you for a new file name, then saves the currently open LinkStash bookmark file using the chosen file name. From then on, LinkStash uses this newly saved file.

    Save Copy As
    Prompts you for a new file name, then saves the currently open LinkStash bookmark file using the chosen file name. The difference between this command and Save As is that this command will continue working with the same bookmark file because a copy is saved.

    Backup Now
    Saves the bookmark file and performs a backup operation. Several backup copies of the file are kept in rotation. To read more about backing up your LinkStash file, see Data Safety.

    Restore
    Restores a LinkStash bookmark file from a previous backup. To read more about restoring from a backup, see Restore.

Import

    Internet Explorer
    See Import Internet Explorer Favorites.

    Netscape/Mozilla Bookmarks
    See Import Netscape Bookmarks.

    Opera Hotlist
    See Import Opera Hotlists.

    LinkStash Stock Bookmarks
    See Import Stock Bookmarks.

Export

    Internet Explorer
    See Export Internet Explorer Favorites.

    Netscape/Mozilla Bookmarks
    See Export Netscape Bookmarks.

    HTML
    Exports the bookmarks to an HTML file.

Sign In
Allows you to enter a master password so you can access private information such as passwords. To read more about authentication see Security Issues.

Change Master Password
Allows you to change the master password used for signing in. To read more about authentication see Security Issues.

Customize Highlights
Highlights are used to make bookmarks and folders more visible. This menu item displays the Highlights dialog where you can add, remove or modify highlights.

Send by Mail
Email all your bookmarks.

Page Setup
Displays the page setup options.

Print
Displays the print dialog.

Recent File List
LinkStash files you have previously opened are displayed here in a list. The most recently opened file is displayed in position number 1, at the top of the list. To open a particular file, click on the filename. When LinkStash is started, it starts with the most recently used file automatically.

Exit
Exit LinkStash.


Edit Menu

Cut
Copies the selected folder or bookmarks to the clipboard and then deletes them from the folder or bookmark list, as appropriate.

Copy
Copies the selected folder or bookmarks to the clipboard.

Paste
Pastes the contents of the clipboard into the current context.

Delete
Deletes the selected bookmark or folder.

Rename
Renames the selected bookmark or folder.

Select All
Selects all the bookmarks in the bookmark list.

Invert Selection
Toggles the selection state of all bookmarks in the bookmark list.

Find
Displays the Find Toolbar, where you can enter the text of a bookmark to search for. If the Find Toolbar is already displayed, the edit box becomes active so you can start typing the search text. See also Searching Bookmarks.

Find All
Finds all matching bookmarks and displays the results in the Search Results folder.

Find Next
Find the next matching bookmark.

Folder Properties
Displays the Edit Folder Properties dialog where you can make changes to the folder properties. See Editing Folders.

Bookmark Properties
Displays the Edit Bookmark Properties dialog where you can make changes to the bookmark properties. See Editing Bookmarks.


View Menu

Toolbars

    Standard Buttons
    Displays or hides the Standard Toolbar.

    Find Bar
    Displays or hides the Find Bar.

    Text Labels
    Displays or hides text labels under the Standard Toolbar buttons.

    Customize
    Customize the Standard Toolbar to add or remove buttons from a list of available buttons.

Info Bar
Displays or hides the Info Bar.

Status Bar
Displays or hides the Status Bar at the bottom of the main window.

Read more about Toolbars and Customizing the Standard Toolbar.

Show All Passwords
Displays a list of bookmarks with passwords. This menu item reveals all passwords in plain text. Therefore it is only available if the user is currently signed in. Once signed in, this menu item becomes available. However, as a further security measure you are again required to sign in each time you want to access the password list. You can read more about Bookmark Passwords and how to use them.

View Bookmarks By

    Large Icons
    Displays bookmarks using large icons.

    Small Icons
    Displays bookmarks using small icons.

    List
    Displays bookmarks using small icons in list format.

    Details
    Displays bookmarks in detail, with columns to reveal the attributes of each bookmark, such as name, URL, rating, etc.

Arrange Bookmarks By
Arranges the bookmarks in the bookmark list by the specified criteria: Name, URL, comment, etc. If You choose My Order you can arrange the bookmarks into any order by dragging the bookmark to a new position in the list. See Organizing Bookmarks for more information.

Expand All Subfolders
Expands the selected folder and all its subfolders. It does not expand every folder. It expands folders starting from, and including, the currently selected folder, and all its subfolders. This command is only available if the selected folder contains subfolders.

Collapse All Subfolders
Collapses the selected folder and all its subfolders. It does not collapse every folder. It collapses folders starting from, and including, the currently selected folder, and all its subfolders. This command is only available if the selected folder contains subfolders.

Always on Top
Toggles the visibility of the main window so the window is not obscured by other windows, even when it is not the active window.

Keep Window Visible
Use this command to temporarily keep the LinkStash main window visible and to ignore the auto-minimizing features you have set up. A scenario where this is useful is when you normally have the auto-minimize option configured and you switch away from LinkStash; you don't want the window to be minimized.

Refresh
Refresh/update the window. For example, if bookmarks have been added and they are out of order because they have been appended to the list, Refresh sorts the bookmarks and updates the window.


Tools Menu

Open
Opens the selected bookmarks with the preferred web browser. To set or change this setting, choose a browser from the list displayed in the Open bookmarks with this web browser (my preferred browser) drop-down list box. See Options: Browser

Open With
Opens the selected bookmarks with the selected web browser.

Open in New Window
Opens the selected bookmark in a new window of the preferred web browser. To set this option as default behaviour, check the Always open bookmark in a new browser window check box. See Options: Browser

Open All in Folder
Opens all the bookmarks in the current bookmark list.

Grab and Add Bookmarks
Adds bookmark(s). See Adding Bookmarks.

New Bookmark
Creates a new, blank bookmark.

Check Duplicated URLs
Displays a list of bookmarks that have the identical URL. See Check Duplicated URLs Dialog

New Folder
Creates a new folder.

Options
Displays the LinkStash Options Dialog Box.


Help Menu

Contents
Displays the Help file.

Tip of the Day
Displays the next Tip of the Day.

Technical Support
Displays the XRayz Software support website.

XRayz Website
Displays the XRayz Software website.

About LinkStash
Displays program information and version number.

Purchase/Register LinkStash
This menu item may not be available if you have already successfully entered your registration details. With this command you can:

  • Start the process of purchasing LinkStash.
  • Enter your registration details: name and serial number. These details are usually sent to you via email.


Customizing The Standard Toolbar

You can add, remove or rearrange buttons by customizing the toolbar. There are several ways to do this:

  • Customize the toolbar in the Customize dialog
    Display the Customize dialog either by right-clicking an empty space in the toolbar or choosing Toolbars > Customize from the View menu. Use the dialog box to add, delete or move buttons.
  • In-place Customization
    Use the mouse to select the toolbar button you want to move, and hold down the ALT key. Then drag the button around on the toolbar. You cannot add buttons this way; you can only move or delete them.

Text labels that appear below each button are toggled on or off by clicking Toolbars > Text Labels from View menu, or in the right-click toolbar menu.

The toolbar is toggled on or off by clicking Toolbars > Standard Buttons from the View menu, or in the right-click toolbar menu.


Customizing The Info Bar

The Info Bar appears near the top of the main window and contains information about the currently selected bookmark. The Info Bar is toggled on or off by choosing Info Bar from the View menu.

The Info Bar can be customized with text and special characters called tokens. Tokens provide the ability to insert information from the selected bookmark into the Info Bar. For help using tokens see the Tokens.

When you know what text you want to use, enter it into program options. Do this by choosing Options from the Tools menu. Then click the Advanced tab and enter the text in the Info Bar textbox.


Tokens

Tokens are used in the Print Options and when Customizing the Info Bar.

Tokens are special symbols that LinkStash recognizes as having a special meaning. When a token is used, LinkStash replaces that token with information from a bookmark. For example, if you use the token "%1" it is replaced by the name of the bookmark.

Below are some examples:

Example Text Input | LinkStash Output
%1 | XRayz Software
%2 | http://www.xrayz.co.uk/
[%22] %2 | [Software Sites] http://www.xrayz.co.uk/
%1 visited %13 days ago | XRayz Software visited 2 days ago
%2 has %4 visits | http://www.xrayz.co.uk has 134 visits
%21 > %2 | Bookmarks/Computer/Software Sites > http://www.xrayz.co.uk/

Use the list below to help you pick tokens for your text. Remember, you are not limited to only tokens, you can use regular text too.

Tokens
Token | Description
%1 | Bookmark name
%2 | Bookmark URL
%3 | Bookmark comment
%4 | Number of visits
%5 | Bookmark rating
%6 | Last visited date
%7 | Last visited time
%8 | Last visited day, short name (Mon/Tue/etc)
%9 | Last visited day, full name (Monday/Tuesday/etc)
%10 | Last visited month, short name (Jan/Feb/etc)
%11 | Last visited month, full name (January/February/etc)
%12 | Last visited year
%13 | Days elapsed since last visit
%14 | Added date
%15 | Added time
%16 | Added day, short name
%17 | Added day, full name
%18 | Added month, short name
%19 | Added month, full name
%20 | Added year
%21 | Bookmark full (absolute) path name
%22 | Bookmark parent folder name


Highlight

Highlights allow you to set the visual appearance of a bookmark or folder. Each highlight has its own name and you set various styles and colors for it.

A highlight can be assigned to one or more bookmarks or folders. When you change an attribute of a highlight, for example the background color, it affects all bookmarks and folders using that highlight.

Multiple bookmarks can be assigned a highlight in one click. Do this by selecting multiple bookmarks before choosing the Highlight item in the Bookmark List right-click menu. See Selecting Bookmarks on how to select multiple bookmarks.

Adding a new highlight
Click New to add a new highlight to the list. You can then edit the highlight color, font, etc., and give it a descriptive name.

Deleting a highlight
Select the highlight that you want to delete from the list, then click Delete.

Editing a highlight
Select the highlight to edit, then change any of the settings:

  • Name of the highlight. The name can be changed at any time, even after you have previously assigned the highlight to several different bookmarks.)
  • Font face. Choose from among the available fonts.
  • Font color. Click the color box to select a font color.
  • Background color. Click the color box to select a background color.
  • Bold, underline, italic and strikeout check boxes provide extra font effects.

Sample
The Sample box provides you with a preview of the highlight.


Customizing The Internet Explorer Toolbar

When installing LinkStash, you are given the choice of integrating LinkStash with the Internet Explorer toolbar. This allows you to add bookmarks and access LinkStash conveniently using buttons on the Internet Explorer toolbar.

If you chose not to integrate with Internet Explorer during initial installation, you must reinstall LinkStash and choose the correct setting in order to have a customized Internet Explorer toolbar. There is no need, however, to uninstall LinkStash first. Reinstall LinkStash and all your bookmarks and settings will be retained.

What Buttons Does LinkStash Add To The Internet Explorer Toolbar?

There are two buttons that LinkStash adds to the Internet Explorer toolbar:

  • LinkStash - Displays the LinkStash main window. LinkStash is started if it is not currently running.
  • Grab URLs - Grabs URL (adds bookmarks). LinkStash is started if it is not currently running.

Why Can't I See The Buttons I've Added?

Internet Explorer Version 5, or higher, is required. Even if you are using an appropriate browser, there are some cases where you may need to configure the Internet Explorer toolbar so the buttons are visible. This may be because you already have a lot of buttons on your Internet Explorer toolbar so the LinkStash buttons will not visibly fit. To make the LinkStash buttons visible, you may need to customize the Internet Explorer toolbar using the following simple steps:

  1. Start Internet Explorer if it isn't already running.
  2. Choose Toolbars > Customize from the View menu in Internet Explorer.
  3. A window appears with two lists: One list contains available buttons while the other contains a list of currently visible buttons.
  4. If the LinkStash buttons are listed in the Current list, go to the next step, otherwise you need to add the buttons by selecting each LinkStash button in the Available list and then clicking on Add.
  5. You should now see the LinkStash buttons listed in the Current list, but they may be at the very end of the list. If this is the case, you will need to move them up in the list.
  6. In the Current button list, select the LinkStash button you want to move. For example, click on Grab URLs, then click on the Move Up button. Click Move Up until the LinkStash button becomes visible in Internet Explorer toolbar. You should see the button move left each time you click Move Up. Do this for the other LinkStash button as well.


Options Dialog Box

The Options dialog allows you to setup various program preferences. It is displayed by choosing Options from the Tools menu.

The Options dialog contains several tabs:

  • General
    General, tray icon and window options
  • Startup
    How and when LinkStash starts up
  • HotKey
    Global hot keys
  • Browser
    Web browser options
  • Printing
    Printing and page setup options
  • Advanced
    Advanced options


Options : General

Window

Minimize LinkStash when opening a bookmark
If checked, the main window is minimized when a bookmark is opened.

Minimize LinkStash when switching to another program
If checked, the main window is automatically minimized when you switch from LinkStash to another program.

Minimize LinkStash when the close window button is clicked
If checked, LinkStash minimizes, instead of exiting, when the program is closed using the "X" button (located in the top right of the main window).

LinkStash always appears on top of other windows
If checked, the LinkStash window always appears on top of other windows, so as not to be obscured by overlapping windows.

Display the LinkStash icon in the notification area (Tray Icon)
If checked, LinkStash places an icon in the notification area. This area, also known as the system tray, is the area on the taskbar where the clock is displayed. The icon provides the ability to open the main window by left-clicking the icon. Right-clicking the icon will bring up a menu with frequently used commands that allow you to grab URLs, change options, open the LinkStash main window, or exit the program.

Hide LinkStash from the taskbar when minimized
If checked, LinkStash is removed from the taskbar when the main window is minimized. LinkStash is still visible in the notification area. This option is only available if Display the LinkStash icon in notification area (tray icon) is checked.

Bookmarks

Display grid lines in the bookmark list
If checked, LinkStash displays a grid overlay in the bookmarks list. The grid is only visible while the bookmarks are viewed in details view.

Display bookmark InfoTip for n seconds
If checked, more information about a bookmark is displayed when the mouse pointer is paused over the name of a bookmark. You can also specify the length of time the tip is displayed.

Open bookmarks using a single mouse click
If checked, a bookmark is opened when you single-click on it, instead of the usual double-clicking.

Rename a bookmark with a click on a selected bookmark
If checked, a bookmark can be renamed with a click on a selected bookmark. This is equivalent to choosing Rename in the Edit menu or pressing F2. If you find you are unintentionally renaming bookmarks by accidentally clicking on the selected bookmark, you may want to remove this check mark.

Retrieve a bookmark password
A password is sent to a program using a hotkey that has already been set up. See Options: Hotkey for information about how to set up a hotkey. When the hotkey is pressed, this option determines how LinkStash retrieves a password from a bookmark. There are two methods:

  • Using Smart Lookup (Internet Explorer only)
    If a bookmark URL, matches the URL in the Internet Explorer address bar, the password is retrieved from that bookmark. The URLs must match exactly. This method has the advantage of allowing you to type a URL into the Internet Explorer address bar, or select from Internet Explorer Favorites, but still have LinkStash retrieve the password for you automatically.
  • From the selected bookmark The password is retrieved from the currently selected bookmark.

Folders

Automatically expand and collapse folders
If checked, a folder is automatically expanded, and other folders are collapsed when you click on the folder name or folder icon, reducing folder clutter. If you click on the "+" symbol to expand the folder it remains expanded. You may need to manually collapse any already expanded folders the first time you check this option.


Options : Startup

When LinkStash should start

Start LinkStash when Windows starts
If checked, LinkStash is added to your startup group (in the Start Menu) so it is automatically started each time you start Windows.

Start LinkStash when a web browser starts
If checked, LinkStash automatically starts when you start your web browser.

Exit LinkStash when you close the web browser window
If checked, LinkStash automatically exits when you close all web browser windows.

Window

Show splash screen
If checked, a brief splash screen is displayed at startup. This option is not available during the Try Before You Buy period.

Always start minimized
LinkStash remembers the main window size and position. However, if this option is checked, the main window always starts minimized, regardless of the previous window state.

Reselect the most recently used bookmark folder
If checked, the most recently used folder is reselected when the bookmark file loads.


Options : Hotkey

Once hotkeys are setup, you can press the hotkey combination to perform a command. The hotkeys are active from any program you are working in.

Add bookmarks

Grab URLs
Adds bookmarks from the browsers. This hotkey performs the same operation as if you had chosen Grab and Add URLs from the Tools menu in the LinkStash main window.

Main window

Show/hide the main window
Displays the LinkStash main window when it is minimized, hidden or obscurred by overlapping windows. If LinkStash is the currently active window, the specified hotkey minimizes the main window instead.

Send bookmark password details

Send user name
Sends the bookmark user name, as if you were typing it yourself.

Send password
Sends the bookmark password, as if you were typing it yourself.

Send custom text
Sends the bookmark custom text, as if you were typing it yourself.


Options : Browser

Grabbing URLs

Specifies how bookmarks are added from web browsers:

  • Grab the URL from the active browser window
    The URL from the active browser window is added as a bookmark. If the browser window is not currently active when grabbing, the last active browser window is used.
  • Grab URLs from all open browser windows
    The URLs from all browser windows are presented to you as a list. From this list, you decide which URLs to add and which to ignore. This is ideal for adding multiple bookmarks from all browsers.

Web browser

Open bookmarks with this web browser (my preferred browser)
You may have several web browsers installed. Here you can choose which browser you prefer to use with LinkStash when you open a bookmark.

Always open bookmark in a new window
If checked, a bookmark is always opened in a new web browser window. This means browser windows will never be reused.

Web browser location
If you have not chosen Windows Default web browser as the preferred browser, you will need to specify the program location of the browser you are going to use. To do this, click on the browser in the list, then select the program file. You cannot change the location of the Windows default web browser.

You will also need to set the locations of any other browsers if you wish to use the Open With command on the Tools menu or bookmark right-click menu.


Options : Printing

Page margins (inches)

Page margins
A page margin is a border around the page where LinkStash will not print. In the four boxes displayed, enter, in inches, or fractions thereof, values for the left, top, right, and bottom margins.

Bookmark print template

A print template describes the content and layout of how each bookmark should be printed . This can be a combination of text and special tokens. For help using tokens see Tokens.

Font

Name and size of the font to use for printing. Click the Choose Font button to select a font.


Options : Advanced

Confirm actions

Deleting a folder
If checked, a confirmation box appears when deleting a folder, ensuring you do not delete it by accident.

Deleting a bookmark
If checked, a confirmation box appears when deleting a bookmark, ensuring you do not delete it by accident.

Moving a folder
If checked, a confirmation box appears when moving a folder, ensuring you do not move it by accident.

Moving a bookmark
If checked, a confirmation box appears when moving a bookmark, ensuring you do not move it by accident.

Opening n or more bookmarks simultaneously
If checked, a confirmation box appears when opening multiple bookmarks simultaneously (via multi-select), ensuring you do not fill your desktop with browser windows by accident. Opening many browser windows simultaneously may prevent LinkStash from responding while it is opening each bookmark. As well as turning this confirmation on and off, you can also specify a warning value, for example setting the value to 8 will cause LinkStash to confirm the action if you try and open 8 bookmarks simultaneously.

Saving

Auto save the bookmark file every n minutes
If checked, the bookmark file is automatically saved at the specified intervals. Read more about Data Safety.

Backup (with rotation) the bookmark file on exit
If checked, the bookmark file is backed up when you exit LinkStash. Read more about Data Safety.

Save the bookmark file without prompting on exit
If checked, you will not be prompted to save the bookmark file when you exit LinkStash. However, if you have not previously saved a new bookmark file, you will be prompted the first time it's saved.

Miscellaneous

Edit the bookmark after dropping a URL on the bookmark list
If checked, the bookmark edit box appears after dropping a URL (for example from Internet Explorer) on the bookmark list. This allows you to make changes to the added bookmark.

Info Bar text
The Info Bar text can be customized, allowing you to display information about the currently selected bookmark. For information see Customizing the InfoBar.


Empty Index Entry

The index entry you selected has no target topics associated with it.

If you have chosen a parent entry, please select a child entry.


Add Bookmark Dialog

Allows you to add a bookmark to any folder and allows you to designate a folder as the default start folder when adding bookmarks.

Select a destination folder
Select the folder where you want to add this bookmark. A symbol next to a folder name indicates the folder where the bookmark is added. Additionally, the name of the folder is displayed in bold text at the bottom of the window.

Start in this folder when adding bookmarks
By checking this box, the selected folder is automatically selected the next time the dialog is shown. This is also known as the default add folder or the active folder. If the box is not checked, the selected folder is not the default add folder. Unchecking this box effectively resets the default add folder. If no default add folder is set, the next time this dialog is shown, the start folder will be the same folder that is viewed in the main window.

Examples of why this is useful:

  • You prefer to have all your newly acquired bookmarks kept in one place, so you can organize them later.
  • You are adding many bookmarks for websites with a specific theme and you want to add them all to a specific folder.

Create Folder
Creates a new folder.

Go To Viewed
Clicking this button changes the destination folder to the one you currently have selected in the main window. This is useful if you have set up a default folder for adding bookmarks, but from time to time you want to add a bookmark to the folder you are viewing in the main window. Clicking this button saves you from having to locate it yourself.

Bookmark Properties
The tabbed area of the dialog contains the bookmark properties. Please see Bookmark Properties for a description.

Add
Adds the bookmark. If you are adding multiple bookmarks, (for example if you grab URLs from all browser windows) clicking Add adds this bookmark and the dialog box displays the next bookmark to add.

Skip
Does not add the bookmark. This button is only enabled if you are adding multiple bookmarks (for example if you grab URLs from all browser windows.) Clicking Skip displays the next bookmark to add. If there are no more bookmarks to add, the dialog closes.

Close
Closes the dialog. If you are adding multiple bookmarks, (for example if you grab URLs from all browser windows) clicking Close does not add the bookmark and the dialog closes. Any bookmarks that were added by previously clicking Add remain added and are not discarded.

URL Already Bookmarked
This button is only available if the URL you are about to add is already in your bookmark list. Clicking this button displays the Check Duplicated URLs Dialog listing all bookmarks that have the same URL.


Bookmark Properties

The bookmark properties dialog allows you to view and edit a bookmark. The dialog contains the following tabs:

  • General
  • Password


Bookmark : General

The General tab in the Bookmark Properties dialog allows viewing and editing of general bookmarks details.

Change Highlight
A highlight changes the visual appearance of a bookmark entry in the bookmark list. To change the highlight for a bookmark, click on the Change Highlight button and choose a highlight from the drop down menu. You can create your own custom highlights if you like.

URL
Uniform Resource Locator or website location for this bookmark.

Comment
Provides space to add comments about this bookmark. For example, you can add keywords such as "education" or "games" so you can later perform a search using those keywords.
Tip: To insert a new line, press Enter. Any text that appears after the new line will not be visible in the comment field of the bookmark list.

Rating
The slider bar is used to give this bookmark a rating. For example, you may want to rate all "good" websites at 100, and "bad" sites 0 so later you can sort the bookmark list by rating.

Date Added
Date this bookmark was added.

Last Visit
Date this bookmark was last opened.

Visits
Total number of times this bookmark has been opened.


Bookmark : Password

The password tab in the bookmark properties dialog allows viewing and editing of bookmark passwords. You can read more about setting up and using Bookmark Passwords.

Sign In / Sign Out
If you're not currently signed in, this button reads Sign In. If you're already signed in, this button reads Sign Out. Click this button to sign in or sign out. See Sign In and Sign Out for more information.

User name
User name to use for this bookmark password. You need to sign in to view or change this information.

Password
Password to use for this bookmark. You need to sign in to view or change this information.

Submit password automatically after user name
If checked, when the user name is sent by pressing the user name hotkey, LinkStash sends the user name, then performs a Tab keypress, which has the effect of activating the next field in a form. It then types the password and finally performs an Enter key-press which submits the form. This is automatic but the process must be manually started by pressing the user name hotkey. The behavior depends on the layout of the form. For example, pressing Tab in the user name field must activate the password field to work correctly.

Custom text
Any other text, not a password (because the text is clearly visible), but some text that you want to associate with this bookmark password. Non-text characters (such as the Tab key) may also be entered. For a list of non-text key names, refer to Non-text Key Names. You need to sign in to view or change this information.

Security
The security level of the bookmark when accessing the password and custom text. It is important that you set this to reflect the importance of the password. You need to sign in to view or change this information.

Please read this IMPORTANT SECURITY NOTE before choosing a security level.

  • None
    You do not need to sign in to use the bookmark password details. This should only be used when there is no risk involved in someone else knowing the bookmark password.
  • Low
    You need to be signed in to use the bookmark password details. If you attempt to use this password, for example by pressing the password hotkey, LinkStash prompts you to sign. Once you've signed in, LinkStash sends the password. You are not prompted if you are already signed in.
  • High
    You must sign in each and every time you want to use the bookmark password details, even if you are currently signed in. If you attempt to use this password, for example by pressing the password hotkey, LinkStash prompts you to sign in. Once you're signed in, LinkStash sends the password.


Check Duplicated URLs Dialog

This dialog box displays bookmarks that share the same URL - these are called duplicates because the bookmark refers to the same website. As well as viewing duplicates, you can also choose to delete the ones that you don't want to keep.

The dialog box is divided into two parts:

  • Duplicate URLs found
    Lists the duplicate URLs. Click on a URL to view all bookmarks containing this URL, the bookmarks appear in the other list.
  • Bookmarks with the URL http://
    Lists the bookmarks that match the selected URL. Each entry in the list consists of the folder name that the bookmark resides in and the bookmark name.

To delete a duplicate bookmark, select the bookmark you wish to delete, then click Delete.

You can read more about Duplicate URLs.


Folder Properties

The Folder Properties dialog allows you to view and edit the properties of a folder. The dialog contains the following single tab:

  • General


Folder : General

Change Highlight
A highlight changes the visual appearance of a folder in the folder list. To change the highlight, click on the Change Highlight button and choose a highlight from the drop down menu. You can create your own custom highlights if you like.


Grabbed Browser URLs Dialog

This dialog box displays the URL of each open browser window. Here you can pick and choose which URLs you want to bookmark.

Check marks
A check mark next to the URL indicates that the URL is a bookmark candidate. URLs without a check mark are not bookmark candidates. Click OK to start adding each bookmark candidate one by one. An Add Bookmark Dialog is displayed for each bookmark candidate providing the ability to amend its details or discard the bookmark.

Adding/Removing A check mark
You can toggle a check mark by clicking in the area where the check mark appears (on the left of the URL). Alternatively you can use the Change Checkmarks drop down list to quickly check mark just one, all, or no URLs.

Duplicates
If you attempt to bookmark a URL that already exists in your bookmark file, the URL appears unchecked. This precludes adding a duplicate bookmark.

Adding The Bookmarks
Click OK to start adding the check marked URLs, or click Cancel if you don't want to add any bookmarks.


Import and Export Internet Explorer Favorites

See the Importing Overview for more information.

Use the following links depending on if you want to:

  • Import
  • Export


Change Master Password Dialog

This dialog lets you change the master password. The minimum size of the master password is 6 character; the maximum is 56 characters. Before continuing it is important to familiarize yourself with the master password. See Master Password.

Type the current master password
Enter the current master password. If you do not know it, you cannot change the master password.

Type the new master password
Enter the new master password you would like to use.

Re-type the new master password
Enter the same new master password a second time, this ensures you did not mistype it.


Password List Dialog

This dialog provides a place to easily view and edit all bookmarks that have established passwords.

You are not able to sign out while the Password List dialog is open. If automatic sign out is enabled it is deferred until the dialog is closed.

Cick on a column header to sort the list. The position and size of the dialog is restored the next time the dialog is shown. The column widths and sort order are also restored.

Grid
On the grid, each row contains a bookmark, and each column contains information about the bookmark. Note, the user name and password fields are clearly visible in plain text.

The columns are resized by clicking on the column divider (between the column names) and dragging. The width of each column is restored the next time the dialog is displayed.

Properties
Click on Properties to edit the selected bookmark. Double clicking on a bookmark in the grid performs the same action.


Purchase

How to purchase
To begin the purchase process, select Help > Purchase/Register LinkStash. Click the Click Here To Purchase LinkStash button. Doing this starts your web browser and takes you to the purchase web page where you can find the latest pricing information. Please follow the instructions given on that page.

If clicking on the button does not start your web browser, then please click here instead.

If you already have a serial number
Enter your name and serial number.


Restore Dialog

The Restore Dialog is used to restore from a previous backup. To restore a backup:

  1. Select a bookmark file to be restored. To do this, click an entry in the list so that it becomes selected. The date (and location) of the backup file is determined from the list entry. Typically you will restore the most recent backup file.
  2. Click Restore to restore and open the selected backup file.

To add another backup to the list, click Add More and select a backup file. This is necessary if the backup files are saved in a location other than My Documents or the installation folder.


Setup Wizard : Browser

Preferred web browser
You may have several web browsers installed on your system. Here you choose which browser you prefer to use with LinkStash. When you open bookmarks, your preferred browser is used.

If Internet Explorer is your Windows default web browser, and you wish to use Internet Explorer with LinkStash, you can leave this set to the reccommended setting of <WINDOWS DEFAULT>.

Web browser program location
If you have chosen not use the system default web browser as the preferred web browser, you will need to specify the program location of the browser you are going to use. To do this, click on the browser in the list, then select the program file. You can not change the location of the Windows default web browser.


Setup Wizard : Grabbing URLs

There are two methods of grabbing URLs:

Grab the URL from the active browser window
The URL from the active browser window is added as a bookmark. If the browser window is not currently active when grabbing, the last active browser window is used.

Grab URLs from all open browser windows
The URLs from all browser windows are presented to you as a list. From this list, you decide which URLs you to add and which to ignore. This is ideal for adding multiple bookmarks from all browsers.


Setup Wizard : Complete

The setup wizard has completed the process of configuring LinkStash options for first time use.


Setup Wizard : File Creation

Bookmarks need to be saved in a file. You can choose where to create that file, or you can choose not to create a file at all.

Create the bookmark file in the LinkStash installation folder
If selected, the bookmark file is created in the same folder where LinkStash is installed.

Create the bookmark file in My Documents
If selected, the bookmark file is created in "My Documents\LinkStash" folder.

Don't create a bookmark file at this time
If selected, the bookmark file is not created. You can later use the commands: Open, Save, Save As from the File menu to open an existing bookmark file or create a new file.


Setup Wizard : HotKey

Both of the below actions can also be added to the Internet Explorer toolbar for convenient access. However, there are some cases when the buttons may not be visible, and you may need to customize the Internet Explorer toolbar once you have completed the setup wizard. See Customizing the Internet Explorer Toolbar for more information.

Note: It is recommended that you set up hotkeys. However, you do not need to do so in order to integrate with the Internet Explorer toolbar.

Add bookmark (grab URLs)
This hotkey, when pressed will add bookmarks from your web browser.

Show or hide the main window
This hotkey, when pressed, displays the LinkStash main window when it is minimized, hidden, or obscured by overlapping windows. If LinkStash is the currently active window, the hotkey minimizes the main window instead.


Setup Wizard : Import Bookmarks

Import Internet Explorer Favorites
If checked, Internet Explorer Favorites are imported into your LinkStash bookmark file.

Import Netscape/Mozilla bookmark file
If checked, a Netscape Navigator or Mozilla bookmark file is imported into your LinkStash bookmark file.

Import Opera Hotlist
If selected, an Opera Hotlist is imported into your LinkStash bookmark file.


Setup Wizard : Startup

Start LinkStash when Windows starts
If checked, LinkStash is added to your Start Menu startup group and is automatically started each time you start Windows.

Start and stop LinkStash with the web browser
If checked, LinkStash automatically starts when you start your web browser, and exits when you close the last web browser window.

Reselect the most recently used bookmark folder
If checked, the most recently used folder is reselected when the bookmark file is loaded.

Show LinkStash only in the notification area (system tray) when minimized
If checked, LinkStash is only visible in the notification area when it starts. This discretely hides LinkStash until it is required.


Setup Wizard : Welcome

The setup wizard will help you configure LinkStash options for first time use.


Sign In Dialog

The Sign In Dialog is used to gain access to bookmark passwords and private information. Enter the master password and click Sign In. See Sign In for more information about signing in.

Type the master password
Enter the master password - this is case sensitive, so upper and lower case letters are different.

Automatically Sign Out when the screen saver is running
If checked, LinkStash automatically signs out for you when the screen saver is running. The screen saver will run for up to one minute before LinkStash actually signs out.

Automatically Sign Out after n minutes
If checked, set the amount of time that you would like LinkStash to remain signed in. When this time has elapsed, LinkStash automatically signs out for you.

Note:
If both automatic sign out options are checked, LinkStash signs out with whichever event occurs first. Automatic sign out is useful if you frequently forget to sign out and it ensures that your bookmarks are kept secure and private.

Sign In
Attempts to sign in using the master password. If the master password has been typed incorrectly, you are not able to sign in.

Change
Displays the Change Master Password Dialog so the Master Password can be changed.